### Method

# FwupdPlugin Device setup

#### Declaration [src]

    gboolean
    fu_device_setup (
      FuDevice* self
      GError** error
    )

#### Description [src]

Sets up a device, setting parameters on the object that requires the device to be open and have the interface claimed. If the device is not compatible then an error should be returned.

Available since: | 1.1.2

#### Return value

Returns: | `gboolean`
| `TRUE` for success.